Get a messaging thread by ID
Fetches one message thread with its full message list. Returns the thread plus each message's direction, sender, subject, text body, and attachment metadata (HTML bodies and raw attachment urls are omitted).
Authorization
apiKeyAuth x-api-key<token>
API key authentication. Create an API key in your user profile and include it in the x-api-key header.
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/messaging/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"thread": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
"unipileThreadId": "string",
"provider": "google",
"type": "single",
"name": null,
"subject": "string",
"preview": "string",
"previewKind": "image",
"lastMessageAt": "string",
"participants": [
{
"attendeeId": "string",
"displayName": "string",
"identifier": "string",
"pictureUrl": "string",
"profileUrl": "string",
"headline": "string",
"occupation": "string",
"isSelf": true,
"contact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string"
}
}
],
"state": "unread",
"sharedToCrm": false,
"accountShared": false,
"isOwner": false,
"lastMessageFromSelf": false,
"lastMessageSenderName": null,
"createdAt": "string",
"updatedAt": "string"
},
"messages": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"messagingThreadId": "ea642f89-7688-4a10-9525-46b6c79cc287",
"connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
"providerMessageId": "string",
"provider": "google",
"direction": "inbound",
"sender": {
"attendeeId": "string",
"displayName": "string",
"identifier": "string",
"pictureUrl": "string",
"profileUrl": "string",
"headline": "string",
"occupation": "string",
"isSelf": true,
"contact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string"
}
},
"recipients": {
"to": [],
"cc": [],
"bcc": []
},
"subject": "string",
"bodyText": "string",
"bodyHtml": "string",
"attachmentsMeta": [
{
"id": "string",
"name": "string",
"fileName": "string",
"type": "string",
"mime": "string",
"size": 9007199254740991,
"sticker": true,
"voiceNote": true,
"gif": true,
"durationSeconds": 0,
"unavailable": true,
"linkUrl": "string"
}
],
"isEvent": false,
"isDeleted": false,
"isHidden": false,
"isDraft": false,
"sentAt": "string",
"editedAt": "string",
"reactions": [],
"draftRevision": "2019-08-24T14:15:22Z"
}
],
"total": -9007199254740991,
"accountOwners": {
"property1": {
"displayName": "string",
"accountLabel": "string",
"avatarUrl": "string"
},
"property2": {
"displayName": "string",
"accountLabel": "string",
"avatarUrl": "string"
}
},
"folderContext": {
"folders": [
{
"id": "string",
"name": "string",
"role": "string",
"totalCount": 0,
"unreadCount": 0
}
],
"selectedFolderIds": [
"string"
],
"currentFolderIds": [
"string"
]
}
}"string""string""string""string"